﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
 *
 * Entity is characterized by
 *
 *      author Takito, Masaaki
 *
-->

<xsd:schema
	elementFormDefault="qualified"
	targetNamespace="https://gcm.ntt.com/api/xml-schema/v2/party/pic-contract"
	xmlns:pic-cntrct="https://gcm.ntt.com/api/xml-schema/v2/party/pic-contract"

	xmlns:datatypes="https://gcm.ntt.com/api/xml-schema/v2/cbe-datatypes"
	xmlns:cbe="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!-- Imports -->
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/cbe-datatypes"
			schemaLocation="http://localhost/api/xml-schema/v2/cbe-datatypes/cbe-datatypes.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
			schemaLocation="http://localhost/api/xml-schema/v2/cbe-domain/cbe.xsd"/>

	<!--
	 *
	 *==========================================================================
	 * ■Person In Charge Of Contract : Tree representation of Specification / Characteristics
	 *==========================================================================
	 *
	-->
	<!-- ■pic-contracts (Element) -->
	<xsd:element name="pic-contracts" type="pic-cntrct:ArrayOfPICContract"/>

	<!-- ■ArrayOfPICContract -->
	<xsd:complexType name="ArrayOfPICContract">
		<xsd:sequence>
			<xsd:element ref="pic-cntrct:pic-contract" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■pic-contract (Element) substitution element -->
	<xsd:element name="pic-contract" type="pic-cntrct:PICContract"/>

	<!-- ■PICContract (Datatype) -->
	<xsd:complexType name="PICContract">
		<xsd:sequence/>
		<xsd:attribute name="name" type="xsd:normalizedString" use="optional" />
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■Element of CharacteristicValue
	 *==========================================================================
	 *
	-->

</xsd:schema>
